Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.cql3.statements
Enum Selector.Function

    java.lang.Object
      java.lang.Enum<Selector.Function>
          org.apache.cassandra.cql3.statements.Selector.Function

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Selector.Function>

Enclosing interface:
  Selector

    public static enum Selector.Function

extends java.lang.Enum<Selector.Function>

Enum Constant Summary
`TTL`
`WRITE_TIME`

Method Summary
`java.lang.String` | `toString()`
`static Selector.Function` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Selector.Function[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WRITE_TIME

    public static final Selector.Function WRITE_TIME

### TTL

    public static final Selector.Function TTL

Method Detail

### values

    public static Selector.Function[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Selector.Function c : Selector.Function.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Selector.Function valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<Selector.Function>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 The Apache Software Foundation